package com.dahe.gldriver.bean

/**
 * @ClassName OrderDetailBean
 * @Author john
 * @Date 2024/3/4 10:36
 * @Description TODO
 */
data class OrderDetailBean(
    val avatar: String,
    val captainInfo: CaptainInfo,
    val distance: String,
    val driverFreight: String,
    val goodsList: List<Goods>,
    val loadingDeadline: String,
    val orderChildList: List<OrderChild>,
    val orderId: String,
    val orderNum: String,
    val orderStatus: String,
    val orderType: String,
    val passingPoStringsNum: String,
    val realCompanyName: String,
    val receiverBusinessCode: String,
    val receiverBusinessName: String,
    val receiverDeadline: String,
    val requirement: String,
    val shipperContactName: String,
    val shipperContactPhone: String,
    val vehicleLength: String,
    val vehicleType: String,
    val waybillId: String,
    val vehicleNum: String,
    val waybillInfo: WaybillInfo
)

data class CaptainInfo(
    val avatar: String,
    val captainId: String,
    val captainName: String,
    val captaStringype: String,
    val contactName: String,
    val contactPhone: String,
    val status: String
)

data class Goods(
    val goodCube: String,
    val goodItemGrossWeight: String,
    val goodName: String,
    val goodNum: String,
    val orderGoodsId: String
)

data class OrderChild(
    val address: String,
    val area: String,
    val areaCode: String,
    val businessCode: String,
    val businessName: String,
    val city: String,
    val cityCode: String,
    val cost: String,
    val displayOrder: String,
    val isPassingPoStrings: String,
    val latitude: String,
    val longitude: String,
    val name: String,
    val orderChildreId: String,
    val orderId: String,
    val phone: String,
    val province: String,
    val provinceCityArea: String,
    val provinceCode: String,
    val sortValue: String,
    val status: String,
    val totalAmount: String,
    val type: String
)

data class WaybillInfo(
    val captainId: String,
    val carId: String,
    val carUrl: String,
    val contactName: String,
    val contactPhone: String,
    val driverId: String,
    val idcardName: String,
    val idcardSex: String,
    val isRealName: String,
    val loadTime: String,
    val receivingOrderTime: String,
    val trailerId: String,
    val trailerVehicleNum: String,
    val unloadTime: String,
    val vehicleNum: String,
    val carLong: String,
    val approvedLoad: String,
    val vehicleType: String,
    val waybillId: String
)