

/**
 * @ClassName WayBill2
 * @Author 用户
 * @Date 2023/9/21 17:48
 * @Description TODO
 */
data class WayBill2(
    val acceptTime: String,
    val avgScore: Int,
    val carNumber: String,
    val carType: String,
    val contractUrl: String,
    val distance: String,
    val driverName: String,
    val endCountrySubdivisionCode: String,
    val isEvaluation: Int,
    val nfcId: String,
    val operation: Int,
    val report: Int,
    val reportAlct: Int,
    val roleId: Int,
    val serialNumber: String,
    val shippingNoteNumber: String,
    val startCountrySubdivisionCode: String,
    val totalAmount: String,
    val wayChildren: List<WayChildren>,
    val waybillId: Int,
    val waybillStatus: String
)

data class WayChildren(
    val acceptTime: String,
    val address: String,
    val carNumber: String,
    val carType: String,
    val deadline: String,
    val deadlineDate: Long,
    val delay: Int,
    val displayOrder: String,
    val distance: String,
    val driverName: String,
    val goods: List<Good>,
    val id: Long,
    val imageTakenDate: String,
    val isEvaluation: Int,
    val latitude: String,
    val longitude: String,
    val name: String,
    val orderId: Int,
    val phone: String,
    val realityTimeDate: Long,
    val receiptLatitude: String,
    val receiptLocationAddress: String,
    val receiptLongitude: String,
    val receiptTime: String,
    val receiptUrl: List<String>,
    val report: Int,
    val reportAlct: Int,
    val sendPutImagesUrl: List<String>,
    val sendPutLatitude: String,
    val sendPutLocationAddress: String,
    val sendPutLongitude: String,
    val shippingNoteNumber: String,
    val status: Int,
    val totalAmount: String,
    val type: Int,
    val updateTime: String,
    val waybillStatus: String
)

data class Good(
    val childrenId: String,
    val createTime: String,
    val goodName: String,
    val goodNum: String,
    val goodPrice: String,
    val goodUnit: String,
    val id: String,
    val packName: String
)