package com.dahe.gldriver.temp

object Constant {
    val TYPES = arrayOf(
        "全屏（竖屏）",
        "全屏（横屏）",
        "弹窗（竖屏）",
        "弹窗（横屏）",
        "底部弹窗",
        "自定义View",
        "自定义View（Xml）",
        "自定义Gif背景",
        "自定义视频背景(mov,mp4)",
        "自定义图片背景",
        "全屏（竖屏弹窗）",
        "全屏（横屏弹窗)"
    )
    const val THEME_KEY = "theme"
    const val LOGIN_TYPE = "login_type"
    const val LOGIN = 1
    const val LOGIN_DELAY = 2

    enum class UI_TYPE {
        /**
         * 全屏（竖屏）
         */
        FULL_PORT,

        /**
         * 全屏（横屏）
         */
        FULL_LAND,

        /**
         * 弹窗（竖屏）
         */
        DIALOG_PORT,

        /**
         * "弹窗（横屏）
         */
        DIALOG_LAND,

        /**
         * 底部弹窗
         */
        DIALOG_BOTTOM,

        /**
         * 自定义View
         */
        CUSTOM_VIEW,

        /**
         * 自定义View（Xml）
         */
        CUSTOM_XML,

        /**
         * 自定义背景GIF
         */
        CUSTOM_GIF,

        /**
         * 自定义背景视频
         */
        CUSTOM_MOV,

        /**
         * 自定义背景图片
         */
        CUSTOM_PIC,

        /**
         * 全屏（竖屏弹窗）
         */
        FULL_PORT_PRIVACY,

        /**
         * 全屏（横屏弹窗)
         */
        FULL_LAND_PRIVACY
    }
}
