package com.dahe.gldriver.ui.account

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivitySelectRoleBinding
import com.dahe.gldriver.net.BaseObserver
import com.dahe.gldriver.net.DataManager
import com.dahe.gldriver.net.RxHttpCallBack
import com.dahe.gldriver.ui.account.authperson.AuthDrivingActivity
import com.dahe.gldriver.ui.account.authperson.AuthPersonActivity
import com.dahe.gldriver.ui.account.authteam.AuthTeamActivity
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.net.CommonResponseBean
import com.dahe.mylibrary.utils.ActivityUtils
import io.reactivex.rxjava3.android.schedulers.AndroidSchedulers
import io.reactivex.rxjava3.schedulers.Schedulers

/**
 * @ClassName AuthRoleActivity
 * @Author 用户
 * @Date 2024/1/25 11:15
 * @Description 选择角色 （独立司机或者运输公司）
 */
class SelectRoleActivity : BaseActivity<ActivitySelectRoleBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("选择角色", true)
        binding.rlPerson.setOnClickListener {


            ActivityUtils.startActivity(mContext, AuthPersonActivity::class.java)

//            DataManager.getInstance().setUpDriverRole("0")
//                .subscribeOn(Schedulers.io())
//                .observeOn(AndroidSchedulers.mainThread())
//                .subscribe(BaseObserver(mContext, object : RxHttpCallBack<String>(this) {
//                    override fun onSuccess(t: CommonResponseBean<String>) {
//                        super.onSuccess(t)
//                        ActivityUtils.startActivity(mContext, AuthPersonActivity::class.java)
//                    }
//                }))

//            ActivityUtils.startActivity(mContext, AuthPersonActivity::class.java)
        }
        binding.rlCom.setOnClickListener {
            DataManager.getInstance().setUpDriverRole("1")
                .subscribeOn(Schedulers.io())
                .observeOn(AndroidSchedulers.mainThread())
                .subscribe(BaseObserver(mContext, object : RxHttpCallBack<Any>(this) {
                    override fun onSuccess(t: CommonResponseBean<Any>) {
                        super.onSuccess(t)
                        ActivityUtils.startActivity(mContext, AuthTeamActivity::class.java)
                    }
                }))

        }
    }

    override fun initDate() {
    }
}